MCP Tools Reference: cloudbilling.googleapis.com

Tool: get_project_billing_info

Retrieves the billing information for a project.

The following code sample shows how to use curl to call the get_project_billing_info MCP tool.

Curl Request
curl --location 'https://cloudbilling.googleapis.com/mcp' \
--header 'content-type: application/json' \
--header 'accept: application/json, text/event-stream' \
--data '{
  "method": "tools/call",
  "params": {
    "name": "get_project_billing_info",
    "arguments": {
      // provide these details according to the tool's MCP specification
    }
  },
  "jsonrpc": "2.0",
  "id": 1
}'

Input Schema

Request message for GetProjectBillingInfo.

GetProjectBillingInfoRequest

JSON representation
{
  "name": string
}
Fields
name

string

Required. The resource name of the project for which billing information is retrieved. For example, projects/tokyo-rain-123.

Output Schema

Encapsulation of billing information for a Google Cloud Console project. A project has at most one associated billing account at a time (but a billing account can be assigned to multiple projects).

ProjectBillingInfo

JSON representation
{
  "name": string,
  "projectId": string,
  "billingAccountName": string,
  "billingEnabled": boolean
}
Fields
name

string

Output only. The resource name for the ProjectBillingInfo; has the form projects/{project_id}/billingInfo. For example, the resource name for the billing information for project tokyo-rain-123 would be projects/tokyo-rain-123/billingInfo.

projectId

string

Output only. The ID of the project that this ProjectBillingInfo represents, such as tokyo-rain-123. This is a convenience field so that you don't need to parse the name field to obtain a project ID.

billingAccountName

string

The resource name of the billing account associated with the project, if any. For example, billingAccounts/012345-567890-ABCDEF.

billingEnabled

boolean

Output only. True if the project is associated with an open billing account, to which usage on the project is charged. False if the project is associated with a closed billing account, or no billing account at all, and therefore cannot use paid services.

Tool Annotations

Destructive Hint: ❌ | Idempotent Hint: ✅ | Read Only Hint: ✅ | Open World Hint: ❌